Bug 815176 - python package need to be updated to eliminate Pipe and Thread bugs
python package need to be updated to eliminate Pipe and Thread bugs
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python (Show other bugs)
6.4
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Dave Malcolm
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 23:11 EDT by wenchao xia
Modified: 2012-04-24 03:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 03:28:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wenchao xia 2012-04-22 23:11:22 EDT
Description of problem:
    python with a version lower than v2.7.3 and v3.2, have bad bugs in Pipe and
Thread, it is a race condition.

Version-Release number of selected component (if applicable):
v2.7.2

How reproducible:
    often but not every time.


Steps to Reproduce:
1. download the attachment as a test script.
2. run it for several times.
3. observe that if thread 1 hangs.

Actual results:
   sometimes it hangs.

Expected results:
   it should never hang.

Additional info:
    Python 2.7.3 was just released on 11 April 2012, and my test script passed
on it. When I spy on the source code of cpython project, I found no special
patch fixing the bug, and the information I got is that many subprocess changes
was back ported from python3.2+, and the mechanisms changes. Related python
issue track:
    http://bugs.python.org/issue2320
    I tested my script on some version of Python: result is:
    Python3: later than Python v3.2.2, pass.
    Python2: Python v2.7.3, pass. Python v2.7.2, fail. Python v2.7.2+(ubuntu),
fail.
Comment 2 wenchao xia 2012-04-22 23:16:15 EDT
it is duplicated from
https://bugzilla.redhat.com/show_bug.cgi?id=814492

and want to confirm whether update package is available in el6.
Comment 3 wenchao xia 2012-04-24 03:28:17 EDT
tested on python2.6.6 on rhel6.2, unable to reproduce it.

Note You need to log in before you can comment on or make changes to this bug.